<hr>

<div [ngClass]="alertType" class="alert" role="alert">
  新しい<strong>パソコン</strong>を買いたいが、お金がない
</div>

<button class="btn btn-info" (click)="alertType='alert-info'"> Info</button>
<button class="btn btn-success" (click)="alertType='alert-success'"> Success</button>
<button class="btn btn-danger" (click)="alertType='alert-danger'"> Danger</button>
<button class="btn btn-warning" (click)="alertType='alert-warning'"> Warning</button>


<br><br>

<h3 [ngClass]=" { 'text-danger': alertType=='alert-danger', 'text-info':alertType=='alert-info' }">
  Conditional class
</h3>

<br>
<hr>

<h3>Asynchronous Process</h3>
<button type="button" name="button" class="btn btn-primary"
(click)="load()"
[disabled]="loading">
  <i class="fa" [ngClass]="{'fa-save' : !loading, 'fa-refresh fa-spin' : loading}"></i>
  <span *ngIf="!loading">Save changes</span>
  <span *ngIf="loading">Saving changes</span>
</button>
